- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 48da6438-53ad-4f86-b2f3-631b14c91636
    creation_time: 2023-02-17T13:38:11.800592Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: p * s - r * q == 1 && a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 072a9c81-0d15-4d4e-b90c-cb16f6ef33d9
    creation_time: 2023-02-17T13:38:11.801021Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 1 == p * s - r * q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8a4ee06e-0984-4da1-86ff-fdcd424658b2
    creation_time: 2023-02-17T13:38:11.801113Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 37
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3e870fff-3551-4b52-a595-f831314034cb
    creation_time: 2023-02-17T13:38:11.801194Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 38
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5708be3f-35a0-4e14-b316-51f4ae670d54
    creation_time: 2023-02-17T13:38:11.801278Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 54
    column: 0
    function: main
  location_invariant:
    string: a - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b93d961f-672f-467d-b8b0-b54531810dfb
    creation_time: 2023-02-17T13:38:11.801363Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 55
    column: 0
    function: main
  location_invariant:
    string: p*x + r*y - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d1f77f27-9256-43f8-bc28-9a075af0d76a
    creation_time: 2023-02-17T13:38:11.801443Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 56
    column: 0
    function: main
  location_invariant:
    string: q*r - p*s + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5046095a-8e60-4afd-aea3-dbc623632180
    creation_time: 2023-02-17T13:38:11.801520Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound5.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound5.c: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound5.c
    file_hash: 3f9b33d2a8120d9ea8a3a6c5d650c2a90b549ffb583b3e9890b411aeb4530efd
    line: 57
    column: 0
    function: main
  location_invariant:
    string: q*x + s*y - b == 0
    type: assertion
    format: C

